export declare class PnStatsInfoData {
    format: string;
    formatStyle: string;
    startValue: number;
    data: number;
    unit: string;
    preamble: string;
    duration?: number;
    index: number;
    hasBeenShown: boolean;
    compId: string;
    inViewPortCallback: (entry: IntersectionObserverEntry) => void;
    generateUniqueId(): string;
    componentWillLoad(): void;
    watchStateHandlder(newValue: boolean, oldValue: boolean): void;
    render(): any;
    componentDidRender(): void;
}
